Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-62577

Can not install Qt5.6.3 from online repos to Rhel6.6

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Done
    • Affects Version/s: 5.6.3
    • Fix Version/s: 5.10.1
    • Component/s: Packaging & Installer
    • Labels:
    • Environment:
      Rhel6.6

      Description

      According to https://doc.qt.io/qt-5/supported-platforms-and-configurations.html#qt-5-6 Qt5.6.3 should support Rhel6.6. Installing now from online repositories, Qt5.6.3 can not be installed to Rhel6.6 because QtCreator has been build with newer version of Rhel.

      Installer hangs (see attached screencapture), running failing command manually prints:

      /home/qt/tmp/qt5//Tools/QtCreator/libexec/qtcreator/sdktool: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/qt/tmp/qt5/Tools/QtCreator/libexec/qtcreator/../../lib/Qt/lib/libQt5Widgets.so.5)
      /home/qt/tmp/qt5//Tools/QtCreator/libexec/qtcreator/sdktool: /lib64/libz.so.1: version `ZLIB_1.2.3.4' not found (required by /home/qt/tmp/qt5/Tools/QtCreator/libexec/qtcreator/../../lib/Qt/lib/libQt5Gui.so.5)
      /home/qt/tmp/qt5//Tools/QtCreator/libexec/qtcreator/sdktool: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/qt/tmp/qt5/Tools/QtCreator/libexec/qtcreator/../../lib/Qt/lib/libQt5Gui.so.5)
      /home/qt/tmp/qt5//Tools/QtCreator/libexec/qtcreator/sdktool: /lib64/libc.so.6: version `GLIBC_2.17' not found (required by /home/qt/tmp/qt5/Tools/QtCreator/libexec/qtcreator/../../lib/Qt/lib/libQt5Core.so.5)
      /home/qt/tmp/qt5//Tools/QtCreator/libexec/qtcreator/sdktool: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/qt/tmp/qt5/Tools/QtCreator/libexec/qtcreator/../../lib/Qt/lib/libQt5Core.so.5)
      /home/qt/tmp/qt5//Tools/QtCreator/libexec/qtcreator/sdktool: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/qt/tmp/qt5/Tools/QtCreator/libexec/qtcreator/../../lib/qtcreator/../Qt/lib/libQt5Qml.so.5)
      /home/qt/tmp/qt5//Tools/QtCreator/libexec/qtcreator/sdktool: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.14' not found (required by /home/qt/tmp/qt5/Tools/QtCreator/libexec/qtcreator/../../lib/qtcreator/../Qt/lib/libQt5Qml.so.5)
      /home/qt/tmp/qt5//Tools/QtCreator/libexec/qtcreator/sdktool: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/qt/tmp/qt5/Tools/QtCreator/libexec/qtcreator/../../lib/qtcreator/../Qt/lib/libQt5Network.so.5)
      /home/qt/tmp/qt5//Tools/QtCreator/libexec/qtcreator/sdktool: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/qt/tmp/qt5/Tools/QtCreator/libexec/qtcreator/../../lib/Qt/lib/libicui18n.so.56)
      /home/qt/tmp/qt5//Tools/QtCreator/libexec/qtcreator/sdktool: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/qt/tmp/qt5/Tools/QtCreator/libexec/qtcreator/../../lib/Qt/lib/libicuuc.so.56)
      

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              • Assignee:
                con Eike Ziller
                Reporter:
                joaijala Johanna Äijälä
              • Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes